import type { FmMinMaxInputModel } from './FmMinMaxInputProps';
import type { FdoDecimal } from '@feedmepos/core/entity';
export declare function FmMinMaxRequired({ min, max }?: {
    min?: boolean;
    max?: boolean;
}): (model?: FmMinMaxInputModel) => true | "Required";
/** Both `min` and `max` are inclusive */
export declare function FmMinMaxBoundary(min: number, max: number): (model?: FmMinMaxInputModel) => string | true;
export declare function FmMinMaxMultipleOf(decimal: FdoDecimal): (model?: FmMinMaxInputModel) => string | true;
